ATOL(3)

NAME
atol, atoll - convert ASCII string to long or long long integer

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
long
atol(const char *nptr);
long long
atoll(const char *nptr);

DESCRIPTION
The atol() function converts the initial portion of the string pointed to by nptr to long integer representation.

It is equivalent to:

    strtol(nptr, (char **)NULL, 10);

The atoll() function converts the initial portion of the string pointed to by nptr to long long integer representation.

It is equivalent to:

    strtoll(nptr, (char **)NULL, 10);

ERRORS
The functions atol() and atoll() need not affect the value of errno on an error.

SEE ALSO
atof(3), atoi(3), strtod(3), strtol(3), strtoul(3)

STANDARDS
The atol() function conforms to isoC. The atoll() function conforms to isoC-99.